package fr.natan.akkastreamfileprocessingapi.service

import fr.natan.akkastreamfileprocessingapi.models.Models.{Person, TvSeries}

import scala.concurrent.Future

//noinspection SpellCheckingInspection
trait AkkaStreamFileProcessing {
  def getAllPersons(): Unit

  def getPersonById(nconst: String): Future[Person]
  def getPersonByName(primaryName: String): Future[IndexedSeq[Person]]

  def getAllTvSeries(): Unit

  def getByTvSeriePrimaryTitle(tvSerieTitle: String):Future[Seq[TvSeries]]

  def getPersonsTeamForTvSerie(tvSeriePrimaryTitle: String)


}
